%define date 20140509
%define rel  6
%if %date
%define release %mkrel 3.%date.%rel
%else
%define release %mkrel %rel
%endif

Summary: 	E17 screen captire utility
Name: 		emprint
Version: 	0.1.0
Release: 	%{release}
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/trunk/%name %name
# tar cJf %name-%svn.tar.xz %name
%if %date
Source:         %name-%date.tar.bz2
%else
Source:		%name-%version.tar.bz2
%endif
License: 	BSD
Group: 		System/Servers
URL: 		http://www.enlightenment.org/
BuildRequires:	pkgconfig(efl)
BuildRequires:	efl

%description
Emprint is a utility for taking screenshots of the entire screen, a specific
window, or a specific region. It is written with the Enlightenment Foundation
Libraries.

%prep
%if %date
%setup -qn %name
%else
%setup -q
%endif

%build
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

%files
%doc AUTHORS README ChangeLog NEWS TODO
%{_bindir}/*
%{_datadir}/%name



%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.1.0-3.20140509.6.mga8
+ Revision: 1512088
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.0-3.20140509.5.mga7
+ Revision: 1297597
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.1.0-3.20140509.4.mga6
+ Revision: 943194
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-3.20140509.3.mga5
+ Revision: 741615
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-3.20140509.2.mga5
+ Revision: 679003
- Mageia 5 Mass Rebuild

* Fri May 09 2014 trem <trem> 0.1.0-3.20140509.1.mga5
+ Revision: 621645
- use 3.<date>.<rel> instead is 0.<date>.<rel>
- bump version to 20140509

* Sat Oct 19 2013 umeabot <umeabot> 0.1.0-2.r81625.4.mga4
+ Revision: 523482
- Mageia 4 Mass Rebuild

* Tue May 07 2013 trem <trem> 0.1.0-2.r81625.3.mga3
+ Revision: 412574
- increase release to rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.1.0-2.r81625.2.mga3
+ Revision: 349659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ cjw <cjw>
- patch1: fix build with automake 1.13

* Sat Dec 22 2012 trem <trem> 0.1.0-2.r81625.1.mga3
+ Revision: 334030
- update to release 81625

* Sat Dec 15 2012 trem <trem> 0.1.0-2.r80969.1.mga3
+ Revision: 331121
- update to release 80969

* Sat Dec 08 2012 trem <trem> 0.1.0-2.r80477.1.mga3
+ Revision: 328262
- update to release 80477

* Sat Nov 24 2012 trem <trem> 0.1.0-2.r79568.1.mga3
+ Revision: 321547
- update to release 79568

* Sat Sep 22 2012 trem <trem> 0.1.0-2.r76819.1.mga3
+ Revision: 296649
- update to release 76819

* Sun Sep 16 2012 trem <trem> 0.1.0-2.r76435.1.mga3
+ Revision: 294448
- update to release 76435
- update to release 75400

* Sun Aug 19 2012 trem <trem> 0.1.0-2.r75426.1.mga3
+ Revision: 282199
- update to r75426

* Sun Aug 19 2012 trem <trem> 0.1.0-2.r75424.1.mga3
+ Revision: 282173
- update to r75424
- update to r75424

* Sun Mar 11 2012 trem <trem> 0.1.0-2.r69188.1.mga2
+ Revision: 222699
- update to release 69188

* Sat Mar 10 2012 trem <trem> 0.1.0-2.r69165.1.mga2
+ Revision: 222434
- update to release 69165

* Sun Mar 04 2012 trem <trem> 0.1.0-2.r68658.1.mga2
+ Revision: 218010
- update to release 68658

* Sat Mar 03 2012 trem <trem> 0.1.0-2.r68649.1.mga2
+ Revision: 217560
- update to release 68649

* Sun Feb 26 2012 trem <trem> 0.1.0-2.r68450.1.mga2
+ Revision: 215228
- update to release 68450

* Sat Feb 25 2012 trem <trem> 0.1.0-2.r68434.1.mga2
+ Revision: 214439
- update to release 68434

* Fri Feb 24 2012 trem <trem> 0.1.0-2.r68363.1.mga2
+ Revision: 213988
- update to release 68363

* Wed Feb 22 2012 trem <trem> 0.1.0-2.r68228.1.mga2
+ Revision: 212091
- update to release 68228

* Sun Feb 19 2012 trem <trem> 0.1.0-2.r68120.1.mga2
+ Revision: 210807
- update to release 68120

* Sat Feb 18 2012 trem <trem> 0.1.0-2.r68102.1.mga2
+ Revision: 210255
- update to release 68102

* Sat Feb 11 2012 trem <trem> 0.1.0-2.r67851.1.mga2
+ Revision: 207558
- update to release 67851

* Sat Feb 11 2012 trem <trem> 0.1.0-2.r67846.1.mga2
+ Revision: 207271
- update to release 67846

* Fri Feb 10 2012 trem <trem> 0.1.0-2.r67830.1.mga2
+ Revision: 206980
- update to release 67830

* Tue Feb 07 2012 trem <trem> 0.1.0-2.r67715.1.mga2
+ Revision: 206015
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Sun Dec 04 2011 trem <trem> 0.1.0-2.r65867.1.mga2
+ Revision: 176109
- update to release 65867

* Tue Nov 29 2011 trem <trem> 0.1.0-2.r65688.1.mga2
+ Revision: 174255
- update to release 65688

* Sun Nov 27 2011 trem <trem> 0.1.0-2.r65613.1.mga2
+ Revision: 172978
- update to release 65613

* Sun Nov 20 2011 trem <trem> 0.1.0-2.r65428.1.mga2
+ Revision: 169744
- update to release 65428

* Thu Nov 17 2011 trem <trem> 0.1.0-2.r65341.1.mga2
+ Revision: 168464
- update to release 65341

* Wed Nov 16 2011 trem <trem> 0.1.0-2.r65269.1.mga2
+ Revision: 168215
- update to release 65269

* Sun Nov 13 2011 trem <trem> 0.1.0-2.r65129.1.mga2
+ Revision: 167177
- update to release 65129

* Fri Nov 11 2011 trem <trem> 0.1.0-2.r65056.1.mga2
+ Revision: 166605
- update to release 65056

* Sat Nov 05 2011 trem <trem> 0.1.0-2.r64753.1.mga2
+ Revision: 163342
- update to release 64753

* Tue Nov 01 2011 trem <trem> 0.1.0-2.r64603.1.mga2
+ Revision: 160828
- update to release 64603

* Mon Oct 31 2011 trem <trem> 0.1.0-2.r64579.1.mga2
+ Revision: 160616
- update to release 64579

* Sun Oct 30 2011 trem <trem> 0.1.0-2.r64519.1.mga2
+ Revision: 160069
- update to release 64519

* Sat Oct 29 2011 trem <trem> 0.1.0-2.r64511.1.mga2
+ Revision: 159830
- update to r64511

* Fri Oct 28 2011 trem <trem> 0.1.0-2.r64501.1.mga2
+ Revision: 159302
- update to r64501

* Wed Oct 26 2011 trem <trem> 0.1.0-2.r64414.1.mga2
+ Revision: 158401
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 0.1.0-2.r64328.1.mga2
+ Revision: 157805
- use svn release (instead of stable release)
- spec cleaning

* Thu Sep 29 2011 fwang <fwang> 0.1.0-1.svn20101107.1.mga2
+ Revision: 150162
- tighten br

* Tue Apr 19 2011 ennael <ennael> 0.1.0-1.svn20101107.1.mga1
+ Revision: 88028
- imported package emprint


* Mon Jan 03 2011 Crispin Boylan <crisb@mandriva.org> 0.1.0-1.svn20101107.1mdv2011.0
+ Revision: 627854
- New release with updated tarball

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 0.0.1-2.svn20100624.3mdv2011.0
+ Revision: 558264
- new snapshot

* Sat Aug 08 2009 Funda Wang <fwang@mandriva.org> 0.0.1-2.svn20090503.3mdv2010.0
+ Revision: 411573
- rebuild for new ecore

* Wed Jul 08 2009 Funda Wang <fwang@mandriva.org> 0.0.1-2.svn20090503.2mdv2010.0
+ Revision: 393506
- rebuild

* Sun May 03 2009 Funda Wang <fwang@mandriva.org> 0.0.1-2.svn20090503.1mdv2010.0
+ Revision: 370824
- New snapshot to build with newer ecore

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.0.1-2.svn20090227.1mdv2009.1
+ Revision: 346942
- SVN SNAPSHOT 20090227, release 0.0.1, adjust buildrequires
- adjust source tag
- adjust setup tag
- SVN SNAPSHOT 20090227, release 0.0.1, adjust buildrequires

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.0.1-2.cvs20080203.1mdv2009.0
+ Revision: 266624
- rebuild early 2009.0 package (before pixel changes)

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 0.0.1-0.cvs20080203.1mdv2009.0
+ Revision: 167866
- fix no-buildroot-tag

* Sun Feb 03 2008 Austin Acton <austin@mandriva.org> 0.0.1-0.cvs20080203.1mdv2008.1
+ Revision: 161745
- import emprint


